# $Revision: 1.150 $, $Date: 2012/07/03 13:37:11 $
#
# Conditional build:
%bcond_with	sse2	# use SSE2 instructions
#
%ifarch pentium4 %{x8664}
%define	with_sse2	1
%endif
#
%define	cvmajor	2.3
Summary:	ClanLib, the platform independent game SDK
Summary(pl.UTF-8):	ClanLib, niezależny od platformy SDK do gier
Summary(pt_BR.UTF-8):	SDK Clanlib
Name:		ClanLib
Version:	2.3.6
Release:	1
License:	BSD-like (see COPYING)
Group:		Libraries
#Source0Download: http://www.clanlib.org/download.html
Source0:	http://www.clanlib.org/download/releases-2.0/%{name}-%{version}.tgz
# Source0-md5:	aa037a8a6297fb0b2efd927b1b15e8de
Patch0:		%{name}-build.patch
Patch1:		%{name}-link.patch
URL:		http://www.clanlib.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1.6
BuildRequires:	doxygen
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2
BuildRequires:	libjpeg-devel
BuildRequires:	libmikmod-devel
BuildRequires:	libpng-devel >= 1.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libxslt-progs
BuildRequires:	pcre-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	zlib-devel
%{?with_sse2:Requires:	cpuinfo(sse2)}
Obsoletes:	ClanLib-SDL
Obsoletes:	ClanLib-TTF
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The ClanLib SDK is designed to provide an platform independent game
SDK using a lot cleaner (and object oriented) interface than the
traditional way it is done in DirectX, SDL and such. The goal is to
avoid game developers constantly reinventing the wheel by providing
smarter ways to eg. load surfaces.

%description -l pl.UTF-8
ClanLib SDK jest projektowany jako niezależny od platformy SDK dla
gier. Stosuje prosty (i zorientowany obiektowo) interfejs,
przejrzystszy niż DirectX, SDL i inne.

%description -l pt_BR.UTF-8
A Clanlib é uma biblioteca de jogos multi-plataforma desenhada para
facilitar o trabalho dos desenvolvedores. A idéia principal é fornecer
uma interface comum para os problemas clássicos dos jogos (carregar
gráficos por exemplo).

%package devel
Summary:	ClanLib development package
Summary(pl.UTF-8):	Pakiet programistyczny dla ClanLib
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento usando a Clanlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
# for libclanDisplay
Requires:	xorg-lib-libXxf86vm-devel
Obsoletes:	ClanLib-SDL-devel
Obsoletes:	ClanLib-TTF-devel

%description devel
This is the development add-on package that includes the header files
needed to compile new ClanLib applications.

%description devel -l pl.UTF-8
Programistyczne dodatki do ClanLiba, zawierają pliki nagłówkowe
potrzebne do kompilacji programów korzystających z ClanLib.

%description devel -l pt_BR.UTF-8
Arquivos que possibilitam o desenvolvimento de aplicativos utilizando
a biblioteca Clanlib.

%package static
Summary:	ClanLib static libraries
Summary(pl.UTF-8):	Statyczne biblioteki ClanLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	ClanLib-SDL-static
Obsoletes:	ClanLib-TTF-static

%description static
This package contains static versions of ClanLib libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne wersje bibliotek ClanLib.

%package OpenGL
Summary:	OpenGL ClanLib library
Summary(pl.UTF-8):	Biblioteka OpenGL dla ClanLiba
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description OpenGL
OpenGL ClanLib library.

%description OpenGL -l pl.UTF-8
Biblioteka OpenGL dla ClanLiba.

%package OpenGL-devel
Summary:	Header files for OpenGL ClanLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OpenGL dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-OpenGL = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXxf86vm-devel

%description OpenGL-devel
Header files for OpenGL ClanLib library.

%description OpenGL-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki OpenGL dla ClanLiba.

%package OpenGL-static
Summary:	Static OpenGL ClanLib library
Summary(pl.UTF-8):	Statyczna biblioteka OpenGL dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-OpenGL-devel = %{version}-%{release}

%description OpenGL-static
Static OpenGL ClanLib library.

%description OpenGL-static -l pl.UTF-8
Statyczna biblioteka OpenGL dla ClanLiba.

%package OpenGL1
Summary:	OpenGL1 ClanLib library
Summary(pl.UTF-8):	Biblioteka OpenGL1 dla ClanLiba
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description OpenGL1
OpenGL1 ClanLib library.

%description OpenGL1 -l pl.UTF-8
Biblioteka OpenGL1 dla ClanLiba.

%package OpenGL1-devel
Summary:	Header files for OpenGL1 ClanLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OpenGL1 dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-OpenGL1 = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	OpenGL-GLU-devel
Requires:	xorg-lib-libXi-devel
Requires:	xorg-lib-libXxf86vm-devel

%description OpenGL1-devel
Header files for OpenGL1 ClanLib library.

%description OpenGL1-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki OpenGL1 dla ClanLiba.

%package OpenGL1-static
Summary:	Static OpenGL1 ClanLib library
Summary(pl.UTF-8):	Statyczna biblioteka OpenGL1 dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-OpenGL1-devel = %{version}-%{release}

%description OpenGL1-static
Static OpenGL1 ClanLib library.

%description OpenGL1-static -l pl.UTF-8
Statyczna biblioteka OpenGL1 dla ClanLiba.

%package MikMod
Summary:	MikMod ClanLib library
Summary(pl.UTF-8):	Biblioteka MikMod dla ClanLiba
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description MikMod
MikMod ClanLib library.

%description MikMod -l pl.UTF-8
Biblioteka MikMod dla ClanLiba.

%package MikMod-devel
Summary:	Header files for MikMod ClanLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki MikMod dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-MikMod = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libmikmod-devel

%description MikMod-devel
Header files for MikMod ClanLib library.

%description MikMod-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki MikMod dla ClanLiba.

%package MikMod-static
Summary:	Static MikMod ClanLib library
Summary(pl.UTF-8):	Statyczna biblioteka MikMod dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-MikMod-devel = %{version}-%{release}

%description MikMod-static
Static MikMod ClanLib library.

%description MikMod-static -l pl.UTF-8
Statyczna biblioteka MikMod dla ClanLiba.

%package SWRender
Summary:	ClanLib SWRender (Software Rendering) library
Summary(pl.UTF-8):	Biblioteka ClanLib SWRender (Software Rendering)
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description SWRender
ClanLib SWRender software rendering library, utilizing SSE2
instructions of x86 processors.

%description SWRender -l pl.UTF-8
Biblioteka programowego renderowania ClanLib SWRender, wykorzystująca
instrukcje SSE2 procesorów x86.

%package SWRender-devel
Summary:	Header files for ClanLib SWRender library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ClanLib SWRender
Group:		Development/Libraries
Requires:	%{name}-SWRender = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}

%description SWRender-devel
Header files for ClanLib SWRender software rendering library.

%description SWRender-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki programowego renderowania ClanLib
SWRender.

%package SWRender-static
Summary:	Static ClanLib SWRender library
Summary(pl.UTF-8):	Statyczna biblioteka ClanLib SWRender
Group:		Development/Libraries
Requires:	%{name}-SWRender-devel = %{version}-%{release}

%description SWRender-static
Static ClanLib SWRender library.

%description SWRender-static -l pl.UTF-8
Statyczna biblioteka ClanLib SWRender.

%package Vorbis
Summary:	Vorbis ClanLib library
Summary(pl.UTF-8):	Biblioteka Vorbis dla ClanLiba
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description Vorbis
Vorbis ClanLib library.

%description Vorbis -l pl.UTF-8
Biblioteka Vorbis dla ClanLiba.

%package Vorbis-devel
Summary:	Header files for Vorbis ClanLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Vorbis dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-Vorbis = %{version}-%{release}
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libvorbis-devel

%description Vorbis-devel
Header files for Vorbis ClanLib library.

%description Vorbis-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Vorbis dla ClanLiba.

%package Vorbis-static
Summary:	Static Vorbis ClanLib library
Summary(pl.UTF-8):	Statyczna biblioteka Vorbis dla ClanLiba
Group:		Development/Libraries
Requires:	%{name}-Vorbis-devel = %{version}-%{release}

%description Vorbis-static
Static Vorbis ClanLib library.

%description Vorbis-static -l pl.UTF-8
Statyczna biblioteka Vorbis dla ClanLiba.

%package doc
Summary:	ClanLib reference documentation for programmers
Summary(pl.UTF-8):	Dokumentacja programisty do biblioteki ClanLib
Group:		Documentation

%description doc
ClanLib reference documentation for programmers.

%description doc -l pl.UTF-8
Dokumentacja programisty do biblioteki ClanLib

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} -r autom4te.cache

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__automake}
%{__autoconf}
%configure \
	%{!?with_sse2:--disable-sse2} \
	--enable-docs \
	--%{?debug:en}%{!?debug:dis}able-debug

export PKG_CONFIG_PATH=$(pwd)/Setup/pkgconfig
%{__make}

(cd Documentation/Utilities/ReferenceDocs; ln -s ../../../Sources/API ClanLib)
%{__make} html \
	PKG_CONFIG_PATH=$(pwd)/Setup/pkgconfig

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-html \
	DESTDIR=$RPM_BUILD_ROOT

# missing from make install
install -d $RPM_BUILD_ROOT%{_aclocaldir}
install Setup/Unix/clanlib.m4 $RPM_BUILD_ROOT%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	OpenGL -p /sbin/ldconfig
%postun	OpenGL -p /sbin/ldconfig

%post   OpenGL1 -p /sbin/ldconfig
%postun OpenGL1 -p /sbin/ldconfig

%post	MikMod -p /sbin/ldconfig
%postun	MikMod -p /sbin/ldconfig

%post	SWRender -p /sbin/ldconfig
%postun	SWRender -p /sbin/ldconfig

%post	Vorbis -p /sbin/ldconfig
%postun	Vorbis -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING CREDITS README
%attr(755,root,root) %{_libdir}/libclan23App-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23App-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Core-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23CSSLayout-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23CSSLayout-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Core-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Database-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Database-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Display-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Display-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23GUI-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23GUI-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Network-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Network-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23RegExp-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23RegExp-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Sound-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Sound-%{cvmajor}.so.1
%attr(755,root,root) %{_libdir}/libclan23Sqlite-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Sqlite-%{cvmajor}.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23App.so
%attr(755,root,root) %{_libdir}/libclan23CSSLayout.so
%attr(755,root,root) %{_libdir}/libclan23Core.so
%attr(755,root,root) %{_libdir}/libclan23Database.so
%attr(755,root,root) %{_libdir}/libclan23Display.so
%attr(755,root,root) %{_libdir}/libclan23GUI.so
%attr(755,root,root) %{_libdir}/libclan23Network.so
%attr(755,root,root) %{_libdir}/libclan23RegExp.so
%attr(755,root,root) %{_libdir}/libclan23Sound.so
%attr(755,root,root) %{_libdir}/libclan23Sqlite.so
%{_libdir}/libclan23App.la
%{_libdir}/libclan23CSSLayout.la
%{_libdir}/libclan23Core.la
%{_libdir}/libclan23Database.la
%{_libdir}/libclan23Display.la
%{_libdir}/libclan23GUI.la
%{_libdir}/libclan23Network.la
%{_libdir}/libclan23RegExp.la
%{_libdir}/libclan23Sound.la
%{_libdir}/libclan23Sqlite.la
%dir %{_includedir}/ClanLib-%{cvmajor}
%dir %{_includedir}/ClanLib-%{cvmajor}/ClanLib
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/App
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/application.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/CSSLayout
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/csslayout.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Core
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/core.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Database
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/database.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Display
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/display.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/GUI*
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/gui*.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Network
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/network.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/RegExp
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/regexp.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Sound
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/sound.h
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Sqlite
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/sqlite.h
%{_aclocaldir}/clanlib.m4
%{_pkgconfigdir}/clanApp-%{cvmajor}.pc
%{_pkgconfigdir}/clanCSSLayout-%{cvmajor}.pc
%{_pkgconfigdir}/clanCore-%{cvmajor}.pc
%{_pkgconfigdir}/clanDatabase-%{cvmajor}.pc
%{_pkgconfigdir}/clanDisplay-%{cvmajor}.pc
%{_pkgconfigdir}/clanGUI*-%{cvmajor}.pc
%{_pkgconfigdir}/clanNetwork-%{cvmajor}.pc
%{_pkgconfigdir}/clanRegExp-%{cvmajor}.pc
%{_pkgconfigdir}/clanSound-%{cvmajor}.pc
%{_pkgconfigdir}/clanSqlite-%{cvmajor}.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libclan23App.a
%{_libdir}/libclan23CSSLayout.a
%{_libdir}/libclan23Core.a
%{_libdir}/libclan23Database.a
%{_libdir}/libclan23Display.a
%{_libdir}/libclan23GUI.a
%{_libdir}/libclan23Network.a
%{_libdir}/libclan23RegExp.a
%{_libdir}/libclan23Sound.a
%{_libdir}/libclan23Sqlite.a

%files OpenGL
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23GL-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23GL-%{cvmajor}.so.1

%files OpenGL-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23GL.so
%{_libdir}/libclan23GL.la
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/GL
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/gl.h
%{_pkgconfigdir}/clanGL-%{cvmajor}.pc

%files OpenGL-static
%defattr(644,root,root,755)
%{_libdir}/libclan23GL.a

%files OpenGL1
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23GL1-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23GL1-%{cvmajor}.so.1

%files OpenGL1-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23GL1.so
%{_libdir}/libclan23GL1.la
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/GL1
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/gl1.h
%{_pkgconfigdir}/clanGL1-%{cvmajor}.pc

%files OpenGL1-static
%defattr(644,root,root,755)
%{_libdir}/libclan23GL1.a

%files MikMod
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23MikMod-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23MikMod-%{cvmajor}.so.1

%files MikMod-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23MikMod.so
%{_libdir}/libclan23MikMod.la
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/MikMod
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/mikmod.h
%{_pkgconfigdir}/clanMikMod-%{cvmajor}.pc

%files MikMod-static
%defattr(644,root,root,755)
%{_libdir}/libclan23MikMod.a

%if %{with sse2}
%files SWRender
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23SWRender-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23SWRender-%{cvmajor}.so.1

%files SWRender-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23SWRender.so
%{_libdir}/libclan23SWRender.la
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/SWRender
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/swrender.h
%{_pkgconfigdir}/clanSWRender-%{cvmajor}.pc

%files SWRender-static
%defattr(644,root,root,755)
%{_libdir}/libclan23SWRender.a
%endif

%files Vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23Vorbis-%{cvmajor}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libclan23Vorbis-%{cvmajor}.so.1

%files Vorbis-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libclan23Vorbis.so
%{_libdir}/libclan23Vorbis.la
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/Vorbis
%{_includedir}/ClanLib-%{cvmajor}/ClanLib/vorbis.h
%{_pkgconfigdir}/clanVorbis-%{cvmajor}.pc

%files Vorbis-static
%defattr(644,root,root,755)
%{_libdir}/libclan23Vorbis.a

%files doc
%defattr(644,root,root,755)
%{_docdir}/clanlib-%{cvmajor}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ClanLib.spec,v $
Revision 1.150  2012/07/03 13:37:11  kiesiu
- updated to 2.3.6

Revision 1.149  2012/03/28 07:23:45  arekm
- release 2

Revision 1.148  2012/02/27 14:39:28  lisu
- up to 2.3.5

Revision 1.147  2012/02/07 21:58:43  arekm
- release 3

Revision 1.146  2011/12/20 19:35:24  arekm
- release 2

Revision 1.145  2011/12/19 17:21:25  glen
- utf-8 typo

Revision 1.144  2011/12/06 08:20:07  lisu
- updates to 2.3.4

Revision 1.143  2011/08/12 18:38:45  qboosh
- BR: zlib-devel

Revision 1.142  2011/08/10 10:15:56  lisu
- rename files to fit new version number

Revision 1.141  2011/08/10 09:17:45  lisu
- run aclocal in m4 dir

Revision 1.140  2011/08/10 08:01:52  lisu
- updated to 2.3.1

Revision 1.139  2011/07/24 18:56:10  qboosh
- updated to 2.2.10

Revision 1.138  2011/04/12 21:26:04  lisu
- drop -j1 (did not fix the problem)

Revision 1.137  2011/04/12 20:51:17  lisu
- rel 3

Revision 1.136  2011/04/12 20:27:17  lisu
- make -j1

Revision 1.135  2011/04/12 07:11:24  lisu
- rel 2

Revision 1.134  2011/04/11 15:41:14  lisu
- reverse

Revision 1.133  2011/04/11 15:36:04  lisu
- rel 2

Revision 1.132  2011/04/11 09:09:02  lisu
- up to 2.2.8

Revision 1.131  2011/03/27 05:34:31  qboosh
- updated link patch to cover SWRender library (not tested though)
- release 1

Revision 1.130  2011/03/26 21:11:34  qboosh
- added link patch (fixes inter-library linking, except for SWRender, which I didn't check)

Revision 1.129  2011/03/26 13:11:51  qboosh
- separated SWRender libs
- don't use sse2 instructions on CPUs not supporting it (pentium4 or x86_64)
- SWRender code is built only when using sse2 instructions

Revision 1.128  2011/03/23 10:53:50  lisu
- up to 2.2.7

Revision 1.127  2011/03/18 10:54:08  lisu
- up to 2.2.6

Revision 1.126  2010/11/08 10:53:58  lisu
- 2.2.5

Revision 1.125  2010/10/11 12:38:00  lisu
- plenty od undefined symbols which I can't fix, rel 0.1

Revision 1.124  2010/10/07 08:00:31  lisu
- 2.2.4

Revision 1.123  2010/09/22 12:35:54  lisu
- updated to 2.2.3

Revision 1.122  2010/08/25 07:32:27  lisu
- updated to 2.2.2

Revision 1.121  2010/08/12 08:05:59  lisu
- remove GDI files (not just comment)
- drop obsolete --enable-asm386 option from configure
- package CSSLayout and SWRender files

Revision 1.120  2010/08/12 07:19:40  lisu
- updated to 2.2.1
- libraries updated to cvmajor (2.2)
- GDI libraries not longer supported
- change inexistent Requires OpenGL1-GLU-devel to OpenGL-GLU-devel in OpenGL-devel package

Revision 1.119  2010/08/02 14:42:17  lisu
- update to 2.2.0
- rel 0.1 needs check

Revision 1.118  2010/07/21 13:54:10  lisu
- set PKG_CONFIG_PATH directly before make
- rm bogus BR: ClanLib-devel

Revision 1.117  2010/07/20 11:51:11  lisu
- packages OpenGL1 files in separate packages

Revision 1.116  2010/07/20 11:24:23  lisu
- updated to 2.1.2
- BR: ClanLib-devel

Revision 1.115  2010/01/28 22:58:31  sparky
- BR: fontconfig-devel, freetype-devel, pcre-devel

Revision 1.114  2010/01/28 14:16:50  megabajt
- release 2

Revision 1.113  2009/12/31 17:20:19  megabajt
- obsoletes for removed subpackages (-SDL, -SDL-devel, -SDL-static)

Revision 1.112  2009/12/17 11:24:10  lisu
- updated to 2.1.1

Revision 1.111  2009/10/22 08:40:09  lisu
- remove unneeded SDL stuff
- rel 2

Revision 1.110  2009/10/22 08:22:59  lisu
- up to 2.1.0
- ClanSDL is not supported anymore
- ClanLib now creates libclan21Core.so, libclan21Display.so (and so on), instead of naming it libclanCore.so and libclanDisplay.so
- BR: doxygen

Revision 1.109  2009/07/14 11:23:06  arekm
- up to 2.0.2

Revision 1.108  2009/07/12 13:15:48  arekm
- release 5

Revision 1.107  2009/05/07 08:54:40  megabajt
- release 4

Revision 1.106  2009/01/04 18:11:23  baggins
- rel 3

Revision 1.105  2008/11/10 19:46:55  megabajt
- added -gcc4.patch
- release 2

Revision 1.104  2008/07/21 05:39:55  qboosh
- updated to %{cvmajor}.1
- removed obsolete void patch

Revision 1.103  2007/09/05 17:47:16  baggins
- rel 2
- fix compilation error due to incorect types

Revision 1.102  2007/08/07 17:40:33  shadzik
- fix configuration under Th (still doesn't build)

Revision 1.101  2007/02/12 21:21:30  glen
- tabs in preamle

Revision 1.100  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.99  2006/12/23 13:22:18  qboosh
- typo

Revision 1.98  2006/12/23 13:21:58  qboosh
- Obsoletes for dropped ClanLib-TTF*

Revision 1.97  2006/12/23 13:20:58  qboosh
- merged from DEVEL
  ClanLib-0_6 branched; if needed, can be readded as ClanLib06.spec

Revision 1.85.2.14  2006/08/20 10:14:24  qboosh
- updated to final %{cvmajor}.0, removed obsolete gcc4 patch
- killed /usr/X11R6 from link patch
- license is not LGPL now, but something BSD-like

Revision 1.85.2.13  2006/03/23 23:53:10  qboosh
- updated to %{cvmajor}.0-RC2
- switched to modular xorg, updated link patch to kill unnecessary linking

Revision 1.85.2.12  2006/01/27 06:11:28  qboosh
- updated link patch, added gcc4 patch
- BR: libxslt-progs (xsltproc) for docs

Revision 1.85.2.11  2006/01/22 23:13:00  matkor
- Reenabled back auto* stuff.

Revision 1.85.2.10  2006/01/22 20:50:05  matkor
- Dumb update to %{cvmajor}.0 RC1.

Revision 1.85.2.9  2005/07/22 00:30:58  gotar
- BR: SDL_gfx-devel,
- make it build (there's no Sources/{GUIStyleBoring,JavaScript}, so don't
  regenerate ac/am}

Revision 1.85.2.8  2004/10/16 20:02:33  qboosh
- updated Source0 URL

Revision 1.85.2.7  2004/05/14 22:36:11  qboosh
- updated to 0.7.8, updated link patch, removed obsolete voice patch

Revision 1.85.2.6  2004/04/05 21:53:17  radek
- BR =~ s/perl/perl-base/

Revision 1.85.2.5  2004/01/18 09:12:24  qboosh
- updated to 0.7.7, updated link patch

Revision 1.85.2.4  2003/11/14 07:31:13  qboosh
- up to 0.7.6, updated link patch, added voice patch (missing headers)

Revision 1.85.2.3  2003/10/23 10:13:33  qboosh
- updated to 0.7.5-2

Revision 1.85.2.2  2003/10/10 08:34:57  qboosh
- updated md5

Revision 1.85.2.1  2003/10/09 23:06:10  qboosh
- updated to 0.7.4
- removed obsolete OPT patch, added link patch
- merged new split from HEAD, updated
- docs are back

Revision 1.95  2004/10/16 19:44:51  qboosh
- strict internal deps, updated Source0 URL

Revision 1.94  2004/01/02 13:35:10  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.93  2003/12/29 12:28:38  jajcus
- copy config.sub from automake
- fix for freetype headers usage (-ft2build_h.patch)

Revision 1.92  2003/08/06 16:47:06  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.91  2003/06/06 12:41:41  qboosh
- updated contact addresses

Revision 1.90  2003/06/04 20:12:24  qboosh
- better split (all sublibraries into lib, -devel, -static)
- removed dropped packages (svgalib, GGI)

Revision 1.89  2003/06/04 13:46:04  deejay1
- typos

Revision 1.88  2003/06/04 13:39:18  deejay1
- cosmetics

Revision 1.87  2003/06/03 21:06:01  wolf
- assert patch

Revision 1.86  2003/05/30 18:33:13  deejay1
- Down to 0.6.5 (stable version)

Revision 1.85  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.74  2003/01/17 09:54:57  qboosh
- updated Source0 URL (but only 0.6.1-2 there, no 0.6.1-1)

Revision 1.73  2002/10/12 16:51:30  kloczek
- release 6.

Revision 1.72  2002/10/12 16:42:12  qboosh
- explicitly disable DirectFB - doesn't build with 0.9.12
- removed obsolete libpng 1.2.2 hack

Revision 1.71  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.70  2002/07/21 17:45:10  kloczek
- release 5: rebuild against final libvorbis 1.0.

Revision 1.69  2002/07/11 02:52:56  blues
- release 4
- OpenGL package is back...

Revision 1.68  2002/06/19 08:51:53  kloczek
- release 3.

Revision 1.67  2002/05/25 20:15:32  kloczek
- use new %doc infrastructure.

Revision 1.66  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/27 22:31:31  qboosh
- libpng 1.2.2 support

Revision 1.64  2002/04/23 20:16:58  kloczek
- release 2.

Revision 1.63  2002/04/20 15:07:13  marcus
- s/OpenGL/GGI in pl description GGI subpkg

Revision 1.62  2002/04/20 10:26:19  trojan
- revert %%ghost from %%files

Revision 1.61  2002/04/18 09:19:41  trojan
- updated to 0.6.1
- added %ghost lib*.so.x (they're created by ldconfig)
- uncomented static package
- added BR: libjpeg-devel

Revision 1.60  2002/04/03 15:23:59  wiget
one more BR

Revision 1.59  2002/03/26 07:15:34  kloczek
- removed double --disable-debug and simplified %%{debug} handling in
  %%configure parameters.

Revision 1.58  2002/03/25 21:33:10  marcus
- typo

Revision 1.57  2002/03/25 21:30:51  marcus
- addedd config patch for configure.in,
- rel.4.

Revision 1.56  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.55  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.54  2002/01/18 11:20:54  kloczek
- release 3: merge translations from Conectiva.

Revision 1.53  2002/01/18 02:12:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.52  2001/11/28 12:34:49  saq
- ./configure --disable-lua (build would break when lua-devel was
  available)
- release 2, STBR

Revision 1.51  2001/11/16 20:58:38  saq
- -devel reqs Hermes-devel

Revision 1.50  2001/11/01 20:59:04  mkierus
- updated to 0.5.1

Revision 1.49  2001/09/17 22:22:36  kloczek
- added autoconf, automake to BuildRequires.

Revision 1.48  2001/09/17 22:19:54  kloczek
- spec adapterized.

Revision 1.47  2001/09/17 16:02:54  blues
- release 2
- ac2.5 ready

Revision 1.46  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.45  2001/04/29 10:08:54  misiek
requires ttf and friends

Revision 1.44  2001/04/29 09:24:26  misiek
updated to 0.5.0

Revision 1.43  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.42  2001/03/17 06:05:28  kloczek
- spec adapterized and added using rpm automation.

Revision 1.41  2001/03/16 23:04:10  qboosh
- updated Magick patch to compile with ImageMagick 5.2.9

Revision 1.40  2000/07/30 04:55:02  kloczek
- cosmetics.
